Page MenuHomePhabricator

revlog: implement a "default compression" mode
ClosedPublic

Authored by marmoute on May 4 2021, 10:14 AM.

Details

Summary

The revlog docker is now storing a default compression engine. When a chunk use
that compression, a dedicated mode is used in the revlog entry and we can
directly route it to the right decompressor.

We should probably make PLAIN and DEFAULT mode the only available mode for
revlogv2, but this is something for later.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 4 2021, 10:14 AM
baymax updated this revision to Diff 27589.May 5 2021, 5:48 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27891.May 11 2021, 1:46 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.May 17 2021, 5:49 PM
This revision is now accepted and ready to land.May 17 2021, 5:49 PM
This revision was automatically updated to reflect the committed changes.